Package ru.bgcrm.plugin.bgbilling.proto.model

# Class ParamAddressValue

java.lang.Object
ru.bgcrm.plugin.bgbilling.proto.model.ParamAddressValue

public class ParamAddressValue extends Object
Значение адресного параметра в BGBilling

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParamAddressValue()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAreaTitle()`
  `int`
  `getCityId()`
  `String`
  `getCityTitle()`
  `String`
  `getComment()`
  `String`
  `getFlat()`
  `String`
  `getFloor()`
  `String`
  `getHouse()`
  `int`
  `getHouseId()`
  `String`
  `getIndex()`
  `String`
  `getPod()`
  `String`
  `getQuarterTitle()`
  `String`
  `getRoom()`
  `int`
  `getStreetId()`
  `String`
  `getStreetTitle()`
  `void`
  `setAreaTitle(String areaTitle)`
  `void`
  `setCityId(int cityId)`
  `void`
  `setCityTitle(String cityTitle)`
  `void`
  `setComment(String comment)`
  `void`
  `setFlat(String flat)`
  `void`
  `setFloor(String floor)`
  `void`
  `setHouse(String house)`
  `void`
  `setHouseId(int houseId)`
  `void`
  `setIndex(String index)`
  `void`
  `setPod(String pod)`
  `void`
  `setQuarterTitle(String quarterTitle)`
  `void`
  `setRoom(String room)`
  `void`
  `setStreetId(int streetId)`
  `void`
  `setStreetTitle(String streetTitle)`
  `ParameterAddressValue`
  `toParameterAddressValue(Connection con)`
  Конвертирует объект в формат ERP.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ParamAddressValue

    public ParamAddressValue()

- ## Method Details

  - ### getAreaTitle

    public String getAreaTitle()

  - ### setAreaTitle

    public void setAreaTitle(String areaTitle)

  - ### getCityId

    public int getCityId()

  - ### setCityId

    public void setCityId(int cityId)

  - ### getCityTitle

    public String getCityTitle()

  - ### setCityTitle

    public void setCityTitle(String cityTitle)

  - ### getQuarterTitle

    public String getQuarterTitle()

  - ### setQuarterTitle

    public void setQuarterTitle(String quarterTitle)

  - ### getStreetId

    public int getStreetId()

  - ### setStreetId

    public void setStreetId(int streetId)

  - ### getStreetTitle

    public String getStreetTitle()

  - ### setStreetTitle

    public void setStreetTitle(String streetTitle)

  - ### getHouseId

    public int getHouseId()

  - ### setHouseId

    public void setHouseId(int houseId)

  - ### getHouse

    public String getHouse()

  - ### setHouse

    public void setHouse(String house)

  - ### getIndex

    public String getIndex()

  - ### setIndex

    public void setIndex(String index)

  - ### getPod

    public String getPod()

  - ### setPod

    public void setPod(String pod)

  - ### getFloor

    public String getFloor()

  - ### setFloor

    public void setFloor(String floor)

  - ### getFlat

    public String getFlat()

  - ### setFlat

    public void setFlat(String flat)

  - ### getRoom

    public String getRoom()

  - ### setRoom

    public void setRoom(String room)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### toParameterAddressValue

    public ParameterAddressValue toParameterAddressValue(Connection con) throws SQLException
    Конвертирует объект в формат ERP.
    Parameters:
      `con` -
    Returns:
    Throws:
      `SQLException`